Package: groovy.json

## [Java] Class JsonException

- groovy.json.JsonException

- `JsonException` is the exception thrown by the JSON builder and slurper classes, whenever a problem occurs when creating or parsing JSON data structures.

  Authors:
    Guillaume Laforge
  Since:
    1.8.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonException ()`
    `JsonException (String s)`
    `JsonException (String s, Throwable throwable)`
    `JsonException (Throwable throwable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JsonException()

    - #### public JsonException(String s)

    - #### public JsonException(String s, Throwable throwable)

    - #### public JsonException(Throwable throwable)